package com.ssm.model.system;

import java.util.Date;

import com.ssm.util.page.BaseEntity;

public class SysDictionary extends BaseEntity{
	private static final long serialVersionUID = 1L;

	private Integer dictid;

    private Boolean isactive;

    private Integer createduserid;

    private Date createddatetime;

    private Integer lastupdateuserid;

    private Date lastupdatedatetime;

    private Integer subitems;
    
    private String dictvalue;

    private String dictname;

    private String dictnameen;

    private String dictmemo;

    private String namespace;

    public Integer getDictid() {
        return dictid;
    }

    public void setDictid(Integer dictid) {
        this.dictid = dictid;
    }

    public Boolean getIsactive() {
        return isactive;
    }

    public void setIsactive(Boolean isactive) {
        this.isactive = isactive;
    }

    public Integer getCreateduserid() {
        return createduserid;
    }

    public void setCreateduserid(Integer createduserid) {
        this.createduserid = createduserid;
    }

    public Date getCreateddatetime() {
        return createddatetime;
    }

    public void setCreateddatetime(Date createddatetime) {
        this.createddatetime = createddatetime;
    }

    public Integer getLastupdateuserid() {
        return lastupdateuserid;
    }

    public void setLastupdateuserid(Integer lastupdateuserid) {
        this.lastupdateuserid = lastupdateuserid;
    }

    public Date getLastupdatedatetime() {
        return lastupdatedatetime;
    }

    public void setLastupdatedatetime(Date lastupdatedatetime) {
        this.lastupdatedatetime = lastupdatedatetime;
    }

    public Integer getSubitems() {
        return subitems;
    }

    public void setSubitems(Integer subitems) {
        this.subitems = subitems;
    }

	public String getDictvalue() {
		return dictvalue;
	}

	public void setDictvalue(String dictvalue) {
		this.dictvalue = dictvalue;
	}

	public String getDictname() {
		return dictname;
	}

	public void setDictname(String dictname) {
		this.dictname = dictname;
	}

	public String getDictnameen() {
		return dictnameen;
	}

	public void setDictnameen(String dictnameen) {
		this.dictnameen = dictnameen;
	}

	public String getDictmemo() {
		return dictmemo;
	}

	public void setDictmemo(String dictmemo) {
		this.dictmemo = dictmemo;
	}

	public String getNamespace() {
		return namespace;
	}

	public void setNamespace(String namespace) {
		this.namespace = namespace;
	}
    
}